Subject: bug#23704: 25.1.50; Emacs crash in syntax.c

From: [email-masked] (Vincent Belaïche)
Date: Tue, 07 Jun 2016 23:46:17 +0200

Le 07/06/2016 à 19:17, Eli Zaretskii a écrit :
>> Cc: [email-masked], [email-masked], [email-masked]
>> From: Paul Eggert <[email-masked]>
>> Date: Tue, 7 Jun 2016 09:36:56 -0700
>>
>> On 06/07/2016 08:52 AM, Eli Zaretskii wrote:
>>> Thanks, this looks good to me.
>>
>> OK, thanks, I installed it into emacs-25 and merged it into master and 
>> am boldly marking the bug as done.
>>
>>> The only issue left is with a similar
>>> code in the non-forwardp branch -- don't we want to fix that as well?
>>
>> I left the non-forwardp branch alone because it calls 
>> UPDATE_SYNTAX_TABLE_BACKWARD, which in turn can call 
>> update_syntax_table, which (unlike update_syntax_table_forward) does not 
>> call parse_sexp_propertize and so I don't see how the garbage collector 
>> can trigger.
>
> Ah, okay.  Then I guess we are good to go.

Thank you all & for all...

Then, may I close the debug session now ?

BR,
	Vincent.